Lucene search

K
slackwareSlackware Linux ProjectSSA-2020-347-01
HistoryDec 12, 2020 - 10:32 p.m.

[slackware-security] p11-kit

2020-12-1222:32:00
Slackware Linux Project
www.slackware.com
55

7.5 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

5 Medium

CVSS2

Access Vector

Access Complexity

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:N/I:N/A:P

0.006 Low

EPSS

Percentile

77.8%

New p11-kit packages are available for Slackware 14.2 and -current to
fix security issues.

Here are the details from the Slackware 14.2 ChangeLog:

patches/packages/p11-kit-0.23.22-i586-1_slack14.2.txz: Upgraded.
Fix memory-safety issues that affect the RPC protocol.
For more information, see:
https://vulners.com/cve/CVE-2020-29361
https://vulners.com/cve/CVE-2020-29362
https://vulners.com/cve/CVE-2020-29363
(* Security fix *)

Where to find the new packages:

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the “Get Slack” section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 14.2:
ftp://ftp.slackware.com/pub/slackware/slackware-14.2/patches/packages/p11-kit-0.23.22-i586-1_slack14.2.txz

Updated package for Slackware x86_64 14.2:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.2/patches/packages/p11-kit-0.23.22-x86_64-1_slack14.2.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/n/p11-kit-0.23.22-i586-1.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/n/p11-kit-0.23.22-x86_64-1.txz

MD5 signatures:

Slackware 14.2 package:
8e74d2fcb940dca6d9718fc6a69dbeb7 p11-kit-0.23.22-i586-1_slack14.2.txz

Slackware x86_64 14.2 package:
dee7d2ebd0ee6d8c6eb6f1a99de76765 p11-kit-0.23.22-x86_64-1_slack14.2.txz

Slackware -current package:
34dc54e6c4de4ce20de76368647c30e6 n/p11-kit-0.23.22-i586-1.txz

Slackware x86_64 -current package:
218d7757b96338c0d9c85988ff44c2c7 n/p11-kit-0.23.22-x86_64-1.txz

Installation instructions:

Upgrade the package as root:
> upgradepkg p11-kit-0.23.22-i586-1_slack14.2.txz

7.5 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

5 Medium

CVSS2

Access Vector

Access Complexity

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:N/I:N/A:P

0.006 Low

EPSS

Percentile

77.8%